package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	beego.Router("/UpFileToken", &controllers.UpFileController{}, "*:ConfigUpFileToken") // 上传文件

	beego.Router("/Task/List", &controllers.TaskController{}, "*:List")                 // 任务列表
	beego.Router("/Task/Get", &controllers.TaskController{}, "*:Get")                   // 获取任务
	beego.Router("/Task/Add", &controllers.TaskController{}, "*:Add")                   // 添加任务
	beego.Router("/Task/Up", &controllers.TaskController{}, "*:Up")                     // 编辑任务
	beego.Router("/Task/Del", &controllers.TaskController{}, "*:Del")                   // 删除任务
	beego.Router("/Task/AddData_Tool", &controllers.TaskController{}, "*:AddData_Tool") // 1.0 添加任务数据

	// 日志
	beego.Router("/TaskLogs/List", &controllers.TaskController{}, "*:Logs_List")

	// 提取数据
	beego.Router("/TaskData/Extract_TaskData", &controllers.TaskDataController{}, "*:Extract_TaskData_Back")
	//beego.Router("/TaskData/Extract_TaskData_Back", &controllers.TaskDataController{}, "*:Extract_TaskData_Back")
	beego.Router("/TaskData/TaskDataClass_List", &controllers.TaskDataController{}, "*:TaskDataClass_List") // 任务数据分类列表
	beego.Router("/TaskData/List", &controllers.TaskDataController{}, "*:TaskData_List")                    // 任务数据列表
	beego.Router("/TaskData/Add", &controllers.TaskDataController{}, "*:TaskData_Add")                      // 添加任务数据
	beego.Router("/TaskData/AddS", &controllers.TaskDataController{}, "*:TaskData_AddS")                    // 批量添加任务数据
	beego.Router("/TaskData/Up", &controllers.TaskDataController{}, "*:TaskData_Up")                        // 编辑任务数据
	beego.Router("/TaskData/Del", &controllers.TaskDataController{}, "*:TaskData_Del")                      // 删除任务数据
	beego.Router("/TaskData/DelTid", &controllers.TaskDataController{}, "*:TaskData_Del_t_id")              // 根据id删除任务数据

	beego.Router("/TaskData/Export_Data_Excel", &controllers.TaskDataController{}, "*:Export_Data_Excel") // 导出任务数据excel
	beego.Router("/TaskData/Export_Data_PDF", &controllers.TaskDataController{}, "*:Export_Data_PDF")     // 导出任务数据pdf

	// 校验
	beego.Router("/TaskData/Check", &controllers.TaskDataController{}, "*:Check") // 检查数据

	// 公司用户
	beego.Router("/UserTask/List", &controllers.TaskController{}, "*:UserTaskList")              // 公司用户任务列表
	beego.Router("/UserTaskData/List", &controllers.TaskDataController{}, "*:UserTaskData_List") // 公司用户任务数据列表

}
